FleetService
The FleetService methods and their request and response messages.
Generated from fleet.proto. Every method is
POST /rpc/engram.app.v1.FleetService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
ListHosts |
ListHostsRequest |
ListHostsResponse |
GetHost |
GetHostRequest |
GetHostResponse |
GetHostCowState |
GetHostCowStateRequest |
GetHostCowStateResponse |
DrainHost |
DrainHostRequest |
DrainHostResponse |
AdminDrainHost |
AdminDrainHostRequest |
AdminDrainHostResponse |
CordonHost |
CordonHostRequest |
CordonHostResponse |
BeginHostHandoff |
BeginHostHandoffRequest |
BeginHostHandoffResponse |
UncordonHost |
UncordonHostRequest |
UncordonHostResponse |
DeleteHost |
DeleteHostRequest |
DeleteHostResponse |
GetStorageSummary |
GetStorageSummaryRequest |
GetStorageSummaryResponse |
FlushSession |
FlushSessionRequest |
FlushSessionResponse |
EvacuateSession |
EvacuateSessionRequest |
EvacuateSessionResponse |
ChunkGc |
ChunkGcRequest |
ChunkGcResponse |
BundleGc |
BundleGcRequest |
BundleGcResponse |
SnapshotBlobGc |
SnapshotBlobGcRequest |
SnapshotBlobGcResponse |
GetFleetDemand |
GetFleetDemandRequest |
GetFleetDemandResponse |
Messages
Section titled “Messages”AdminDrainHostRequest
Section titled “AdminDrainHostRequest”| Field | Type |
|---|---|
host_id |
string |
AdminDrainHostResponse
Section titled “AdminDrainHostResponse”| Field | Type |
|---|---|
host_id |
string |
evacuating |
repeated string |
failures |
repeated DrainFailure |
BeginHostHandoffRequest
Section titled “BeginHostHandoffRequest”| Field | Type |
|---|---|
host_id |
string |
ttl_secs |
uint64 |
BeginHostHandoffResponse
Section titled “BeginHostHandoffResponse”| Field | Type |
|---|---|
host_id |
string |
accepted |
bool |
BundleGcRequest
Section titled “BundleGcRequest”| Field | Type |
|---|---|
dry_run |
bool |
grace_secs |
uint64 (optional) |
BundleGcResponse
Section titled “BundleGcResponse”| Field | Type |
|---|---|
listed |
uint64 |
pin_set_size |
uint64 |
candidates_marked |
uint64 |
promoted_deletes |
uint64 |
promote_delete_errors |
uint64 |
restart_count |
uint32 |
promote_repinned_skips |
uint64 |
ChunkGcRequest
Section titled “ChunkGcRequest”| Field | Type |
|---|---|
dry_run |
bool |
grace_secs |
uint64 (optional) |
ChunkGcResponse
Section titled “ChunkGcResponse”| Field | Type |
|---|---|
listed_chunks |
uint64 |
malformed_keys |
uint64 |
pin_set_size |
uint64 |
candidates_marked |
uint64 |
promoted_deletes |
uint64 |
promote_delete_errors |
uint64 |
grace_secs |
uint64 |
generation_moved |
bool |
mark_error |
string (optional) |
CordonHostRequest
Section titled “CordonHostRequest”| Field | Type |
|---|---|
host_id |
string |
CordonHostResponse
Section titled “CordonHostResponse”| Field | Type |
|---|---|
host_id |
string |
status |
string |
DeleteHostRequest
Section titled “DeleteHostRequest”| Field | Type |
|---|---|
host_id |
string |
DeleteHostResponse
Section titled “DeleteHostResponse”No fields.
DrainFailure
Section titled “DrainFailure”| Field | Type |
|---|---|
session_id |
string |
error |
string |
DrainHostRequest
Section titled “DrainHostRequest”| Field | Type |
|---|---|
host_id |
string |
DrainHostResponse
Section titled “DrainHostResponse”No fields.
DurabilityRow
Section titled “DurabilityRow”| Field | Type |
|---|---|
sandbox_id |
string |
session_id |
string (optional) |
host_id |
string |
dirty_chunks |
uint32 |
dirty_bytes |
uint64 |
base_chunks |
uint32 |
base_chunks_local |
uint32 |
last_flush_at |
string (optional) |
EvacuateSessionRequest
Section titled “EvacuateSessionRequest”| Field | Type |
|---|---|
session_id |
string |
target_host |
string (optional) |
EvacuateSessionResponse
Section titled “EvacuateSessionResponse”| Field | Type |
|---|---|
session_id |
string |
status |
string |
FlushSessionRequest
Section titled “FlushSessionRequest”| Field | Type |
|---|---|
session_id |
string |
FlushSessionResponse
Section titled “FlushSessionResponse”| Field | Type |
|---|---|
outcome |
string |
manifest_version |
uint64 (optional) |
GetFleetDemandRequest
Section titled “GetFleetDemandRequest”No fields.
GetFleetDemandResponse
Section titled “GetFleetDemandResponse”| Field | Type |
|---|---|
ready_hosts |
uint32 |
schedulable_hosts |
uint32 |
free_mib |
uint64 |
total_mib |
uint64 |
free_vcpus |
uint64 |
total_vcpus |
uint64 |
cordoned_hosts |
uint32 |
queued_sessions |
uint64 |
queued_mib |
uint64 |
queued_vcpus |
uint64 |
GetHostCowStateRequest
Section titled “GetHostCowStateRequest”| Field | Type |
|---|---|
host_id |
string |
GetHostCowStateResponse
Section titled “GetHostCowStateResponse”| Field | Type |
|---|---|
host_id |
string |
sessions |
repeated CowStateView |
GetHostRequest
Section titled “GetHostRequest”| Field | Type |
|---|---|
host_id |
string |
GetHostResponse
Section titled “GetHostResponse”| Field | Type |
|---|---|
host |
HostView |
GetStorageSummaryRequest
Section titled “GetStorageSummaryRequest”No fields.
GetStorageSummaryResponse
Section titled “GetStorageSummaryResponse”| Field | Type |
|---|---|
snapshots |
uint64 |
snapshot_bytes |
uint64 |
gc_pending |
uint64 |
tracked_sandboxes |
uint64 |
dirty_chunks |
uint64 |
unflushed_bytes |
uint64 |
avg_locality_pct |
uint32 |
rows |
repeated DurabilityRow |
gc_pending_exact |
bool |
HostView
Section titled “HostView”| Field | Type |
|---|---|
id |
string |
hostname |
string |
status |
string |
capacity_total_mib |
uint64 |
capacity_used_mib |
uint64 |
running_sandboxes |
uint32 |
ready_images |
uint64 |
ready_image_digests |
repeated string |
util_disk_total_mib |
uint64 |
util_disk_used_mib |
uint64 |
util_mem_total_mib |
uint64 |
util_mem_used_mib |
uint64 |
util_cpu_pct |
float |
last_heartbeat_at |
string |
cordoned |
bool |
allocatable_mib |
uint64 |
reserved_mib |
uint64 |
free_mib |
uint64 |
total_vcpus |
uint32 |
cpu_budget_vcpus |
uint64 |
reserved_vcpus |
uint64 |
free_vcpus |
uint64 |
util_base_shm_mib |
uint64 |
util_parked_pss_mib |
uint64 |
util_running_pss_mib |
uint64 |
failing_capabilities |
repeated string |
fc_snapshot_version |
string |
capabilities_schema |
uint32 |
live_materializes |
uint32 |
live_capture_jobs |
uint32 |
util_committed_swap_mib |
uint64 |
ListHostsRequest
Section titled “ListHostsRequest”No fields.
ListHostsResponse
Section titled “ListHostsResponse”| Field | Type |
|---|---|
hosts |
repeated HostView |
SnapshotBlobGcRequest
Section titled “SnapshotBlobGcRequest”| Field | Type |
|---|---|
dry_run |
bool |
grace_secs |
uint64 (optional) |
SnapshotBlobGcResponse
Section titled “SnapshotBlobGcResponse”| Field | Type |
|---|---|
listed |
uint64 |
malformed |
uint64 |
pin_set_size |
uint64 |
candidates_marked |
uint64 |
promoted_deletes |
uint64 |
promote_repinned_skips |
uint64 |
promote_delete_errors |
uint64 |
restart_count |
uint32 |
UncordonHostRequest
Section titled “UncordonHostRequest”| Field | Type |
|---|---|
host_id |
string |
UncordonHostResponse
Section titled “UncordonHostResponse”| Field | Type |
|---|---|
host_id |
string |
status |
string |